using DbController;

namespace Tabletop.Core.Models.Abstract
{
    public abstract class ArmyBase
    {
        [CompareField("fraction_id")]
        public int FractionId { get; set; }
        [CompareField("used_force")]
        public int UsedForce { get; set; }

        public List<Unit> Units { get; set; } = [];
        public int TotalUnits { get; set; }

        public virtual Dictionary<string, object?> GetParameters()
        {
            return new Dictionary<string, object?>
            {
                { "FRACTION_ID", FractionId },
                { "USED_FORCE", UsedForce }
            };
        }
    }
}